# 注释: Dockerfile CMD指令
FROM busybox
WORKDIR /app

# 注意：只执行最后一个CMD
# CMD /bin/sh -c 'echo 我是CMD指令shell方式执行后写入的内容'

CMD ["/bin/sh", "-c", "echo exec方式执行后写入的内容"]

# 提供默认参数，与 ENTRYPOINT 指令配合使用
# CMD ["-c", "echo 为 ENTRYPOINT 提供默认参数"]
# ENTRYPOINT [ "/bin/sh" ]

# 注意：后台运行的话，因为执行完成cmd命令后，进程结束。容器就自动退出了。

# docker build --rm -f Dockerfile.CMD -t study:buildcmd1 .
# docker run --rm -it --name cmd.study study:buildcmd1